import Display from "./Display";
import Button from "./Button";
import { useState } from "react";

function App() {
  const [state, setState] = useState({
    question: "Was ist die Hauptstadt von Frankreich?",
    options: [
      { text: "Paris", isCorrect: true },
      { text: "Rom", isCorrect: false },
      { text: "Berlin", isCorrect: false },
      { text: "Madrid", isCorrect: false },
    ],
    isUserRight: null,
    selectedOptionIndex: null,
  });

  function handleOptionClick(index) {
    const isCorrect = state.options[index].isCorrect;
    setState((prev) => ({
      ...prev,
      selectedOptionIndex: index,
      isUserRight: isCorrect,
    }));
  }

  return (
    <div>
      <div className="CounterNum Counter">{state.question}</div>
      <div>
        {state.options.map((o, index) => (
          <Button key={index} myText={o.text} callBack={() => handleOptionClick(index)} />
        ))}
      </div>
      <div>
        <Display
          myVal={state.isUserRight}
          selectedOptionIndex={state.selectedOptionIndex}
        />
      </div>
    </div>
  );
}

export default App;
